<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Brian2694\Toastr\Facades\Toastr;
use App\Models\Booking;
use Carbon\Carbon;
use DB;
// use Dompdf\Dompdf;
// use Dompdf\Options;
use Barryvdh\DomPDF\Facade\Pdf;


class BookingController extends Controller
{
    public function generatePDF($bookingId)
    {
        $booking = Booking::find($bookingId);


        $pdf = Pdf::loadView('formbooking.pdf_booking', ['booking' => $booking]);
        return $pdf->download('invoice.pdf');
    }
    // view page all booking
    public function allbooking($m)
    {
        $allBookings = DB::table('bookings')->get();
      // dd($allBookings);
     // Ensure $m is a valid month
    $month = $m ? (int)$m : Carbon::now('Asia/Karachi')->month;
        $bookingCounts = DB::table('bookings')
            ->whereMonth('arrival_date', '<=', $m) // Arrival date is on or before the selected month
            ->whereMonth('depature_date', '>=', $m) // Departure date is on or after the selected month
            ->select('arrival_date', 'depature_date', 'time')
            ->get();
        $sumRoomsByDay = [];
    
        foreach ($bookingCounts as $booking) {
            $arrival = Carbon::parse($booking->arrival_date);
            $departure = Carbon::parse($booking->depature_date);
    
            // Adjust the loop condition to exclude the departure day
            while ($arrival->lt($departure)) { // Change lte to lt
                if ($arrival->month == $m) { // Only consider days within the selected month
                    $day = $arrival->day;
    
                    if (isset($sumRoomsByDay[$day])) {
                        $sumRoomsByDay[$day] += $booking->time;
                    } else {
                        $sumRoomsByDay[$day] = $booking->time;
                    }
                }
    
                $arrival->addDay();
            }
        }
    
        $month = $m ? $m : Carbon::now('Asia/Karachi')->month;
        $mn = Carbon::create(null, $month)->format('F');
        

        return view('formbooking.allbooking', compact('allBookings', 'sumRoomsByDay', 'month', 'mn'));
    }
    
    
    
    public function Arrival()
    {
        // Your logic for the arrival page here
        return view('formbooking.arrival'); // Replace 'formbooking.arrival' with your actual view file path
    }

    // booking add
    public function bookingAdd()
    {
        $data = DB::table('room_types')->get();
        $user = DB::table('users')->get();
        return view('formbooking.bookingadd', compact('data', 'user'));
    }

    // booking edit
    public function bookingEdit($bkg_id)
    {
        $bookingEdit = DB::table('bookings')->where('bkg_id', $bkg_id)->first();
        return view('formbooking.bookingedit', compact('bookingEdit'));
    }

 public function saveRecord(Request $request)
{
      $request->validate([
            'name'   => 'required|string|max:255',
            'room_type'     => 'required|string|max:255',
            // 'total_numbers' => 'required|string|max:255',
            'date' => 'required|string|max:255',
            'time' => 'required|string|max:255',
            'arrival_date'  => 'required|string|max:255',
            'depature_date' => 'required|string|max:255',
            'email'      => 'required|string|max:255',
            'phone_number'  => 'required|string|max:255',
            'message'    => 'required|string|max:255',
            'totalAmount'    => 'required|string|max:255',
            'room_type_num' => 'required|string|max:255',

        ]);

        DB::beginTransaction();
        try {

            // $photo = $request->fileupload;
            // $file_name = rand() . '.' . $photo->getClientOriginalName();
            // $photo->move(public_path('/assets/upload/'), $file_name);
            $format = 'd/m/Y';
            $carbonDate = \Carbon\Carbon::createFromFormat($format, $request->arrival_date);
            $carbonDate2 = \Carbon\Carbon::createFromFormat($format, $request->depature_date);

            // Now you can work with the $carbonDate instance

            $booking = new Booking;
            $booking->name = $request->name;
            $booking->room_type     = $request->room_type;
            // $booking->total_numbers  = $request->total_numbers;
            $booking->date  = $request->date;
            $booking->time  = $request->time;
            $booking->arrival_date   =  $carbonDate->format('Y-m-d');
            $booking->depature_date  = $carbonDate2->format('Y-m-d');
            $booking->email       = $request->email;
            $booking->ph_number   = $request->phone_number;
            $booking->totalAmount   = $request->totalAmount;

            // $booking->fileupload  = $file_name;
            $booking->message     = $request->message;
            $booking->price     = $request->price;
            $booking->room_type_num = $request->room_type_num;
            $booking->save();

            DB::commit();
        Toastr::success('Create new booking successfully :)', 'Success');
        return redirect()->route('form.allbooking', ['m' => $departureDate->month]);
    } catch (\Exception $e) {
        DB::rollback();
        Toastr::error('Add Booking fail: ' . $e->getMessage(), 'Error');
        return redirect()->back()->withInput()->withErrors(['error' => $e->getMessage()]);
    }
}

    // update record
    public function updateRecord(Request $request)
    {
        DB::beginTransaction();
        try {
            $format = 'd/m/Y';
            $carbonDate = \Carbon\Carbon::createFromFormat($format, $request->arrival_date);
            $carbonDate2 = \Carbon\Carbon::createFromFormat($format, $request->depature_date);

            if (!empty($request->fileupload)) {
                $photo = $request->fileupload;
                $file_name = rand() . '.' . $photo->getClientOriginalExtension();
                $photo->move(public_path('/assets/upload/'), $file_name);
            } else {
                $file_name = $request->hidden_fileupload;
            }

            $update = [
                'bkg_id' => $request->bkg_id,
                'name'   => $request->name,
                'room_type'  => $request->room_type,
                'room_type_num'=>$request->room_type_num,
                'totalAmount'=>$request->totalAmount,
                'price'=>$request->price,

                // 'total_numbers' => $request->total_numbers,
                'date'   => $request->date,
                'time'   => $request->time,
                'arrival_date'   => $carbonDate->format('Y-m-d'), // Format arrival_date
                'depature_date'  => $carbonDate2->format('Y-m-d'), // Format depature_date        
                'email'   => $request->email,
                'ph_number' => $request->phone_number,
                'fileupload' => $file_name,
                'message'   => $request->message,
            ];

            Booking::where('bkg_id', $request->bkg_id)->update($update);

            DB::commit();
            Toastr::success('Updated booking successfully :)', 'Success');
            return redirect()->back();
        } catch (\Exception $e) {
            DB::rollback();
            Toastr::error('Update booking fail :)', 'Error');
            return redirect()->back();
        }
    }

    // delete record booking
    public function deleteRecord(Request $request)
    {
        try {

            Booking::destroy($request->id);
            unlink('assets/upload/' . $request->fileupload);
            Toastr::success('Booking deleted successfully :)', 'Success');
            return redirect()->back();
        } catch (\Exception $e) {

            DB::rollback();
            Toastr::error('Booking delete fail :)', 'Error');
            return redirect()->back();
        }
    }
}
