@extends('layouts.master')
@section('menu')
@extends('sidebar.allbooking')
@endsection
@section('content')
{{-- message --}}
{!! Toastr::message() !!}
<style>
    .table111 {
        border-collapse: collapse;
        width: 100%;
    }

    .table111 th,
    td {
        border: 1px solid #dddddd;
        text-align: center;
        padding: 4px;
    }

    .table111 th {
        background-color: #f2f2f2;
        /* Vertical text */
        text-orientation: upright;
        /* For supporting Firefox */
        white-space: nowrap;
        /* Prevent text wrapping */
    }

    .table111 tr:nth-child(even) {
        background-color: #f2f2f2;
    }

    .table111 tr:hover {
        background-color: #ddd;
    }

    .search-container {
        margin-bottom: 2px;
    }

    #searchInput {
        padding: 10px;
        border: 1px solid #ccc;
        border-radius: 5px;
        width: 100%;
        box-sizing: border-box;
        font-size: 16px;
    }

    .card {
        height: 60vh;
        overflow: auto;
    }

    .table111 th,
    td {
        font-weight: 600;
    }
</style>
<div class="page-wrapper">
    <div class="content container-fluid">
        <div class="page-header">
            <div class="row align-items-center">
                <div class="col">
                    <div class="mt-5">
                        <h4 class="card-title float-left mt-2">Appointments</h4>
                        <a onclick="excel()" class="btn btn-primary float-right veiwbutton ">Download Full Table</a>
                    </div>
                </div>
            </div>
        </div>
        <table class="table111">
            <tr>
                <th>Total Rooms</th>
                @for($i= 1; $i < 32; $i++) <td>58</td>
                    @endfor
            </tr>
            <tr>
                <th>Total Available</th>
                @for ($i = 1; $i <= 31; $i++) @php $availableRooms=isset($sumRoomsByDay[$i]) ? (58 - $sumRoomsByDay[$i]) : 58; @endphp <td>{{ $availableRooms }}</td>
                    @endfor
            </tr>
            <tr>
    <th>Month</th>
    @php
    $m = $month - 1;
    $islamic_month_prev = '';
    switch ($mn) {
        case 'November':
            $islamic_month_prev = 'Rabi al-Thani / Jumada al-Awwal';
            break;
        case 'December':
            $islamic_month_prev = 'Jumada al-Awwal / Jumada al-Thani';
            break;
        case 'January':
            $islamic_month_prev = 'Jumada al-Thani / Rajab';
            break;
        case 'February':
            $islamic_month_prev = 'Rajab / Shaban';
            break;
        case 'March':
            $islamic_month_prev = 'Shaban / Ramadan';
            break;
        case 'April':
            $islamic_month_prev = 'Ramadan / Shawwal';
            break;
        case 'May':
            $islamic_month_prev = 'Shawwal / Dhul-Qidah';
            break;
        case 'June':
            $islamic_month_prev = 'Dhul-Qidah / Dhul-Hijjah';
            break;
        case 'July':
            $islamic_month_prev = 'Dhul-Hijjah / Muharram';
            break;
        case 'August':
            $islamic_month_prev = 'Muharram / Safar';
            break;
        case 'September':
            $islamic_month_prev = 'Safar / Rabi al-Awwal';
            break;
        case 'October':
            $islamic_month_prev = 'Rabi al-Awwal / Rabi al-Thani';
            break;
    }
    @endphp
    <td><a href="{{url('/form/allbooking/' . $m)}}"><button class="btn btn-outline-danger" id="prevBtn">Previous</button></a></td>
    <td colspan="15">{{$mn}}</td>
    <td colspan="14">{{$islamic_month_prev}}</td>

    @php
    $m = $month + 1;
    $islamic_month_next = '';
    switch ($mn) {
        case 'November':
            $islamic_month_prev = 'Rabi al-Thani / Jumada al-Awwal';
            break;
        case 'December':
            $islamic_month_prev = 'Jumada al-Awwal / Jumada al-Thani';
            break;
        case 'January':
            $islamic_month_prev = 'Jumada al-Thani / Rajab';
            break;
        case 'February':
            $islamic_month_prev = 'Rajab / Shaban';
            break;
        case 'March':
            $islamic_month_prev = 'Shaban / Ramadan';
            break;
        case 'April':
            $islamic_month_prev = 'Ramadan / Shawwal';
            break;
        case 'May':
            $islamic_month_prev = 'Shawwal / Dhul-Qidah';
            break;
        case 'June':
            $islamic_month_prev = 'Dhul-Qidah / Dhul-Hijjah';
            break;
        case 'July':
            $islamic_month_prev = 'Dhul-Hijjah / Muharram';
            break;
        case 'August':
            $islamic_month_prev = 'Muharram / Safar';
            break;
        case 'September':
            $islamic_month_prev = 'Safar / Rabi al-Awwal';
            break;
        case 'October':
            $islamic_month_prev = 'Rabi al-Awwal / Rabi al-Thani';
            break;
    }
    @endphp
    <td><a href="{{url('/form/allbooking/' . $m)}}"><button class="btn btn-outline-danger" id="nextBtn">Next</button></a></td>
</tr>



            <tr lang="ar">
                <th>التاريخ الإسلامي</th>
                @php
                $arabicNumerals = ['١', '٢', '٣', '٤', '٥', '٦', '٧', '٨', '٩', '١٠', '١١', '١٢', '١٣', '١٤', '١٥', '١٦', '١٧', '١٨', '١٩', '٢٠', '٢١', '٢٢', '٢٣', '٢٤', '٢٥', '٢٦', '٢٧', '٢٨', '٢٩', '٣٠'];
                @endphp

                @for ($i = 15; $i <= 30; $i++) <td>{{ $arabicNumerals[$i - 1] }}</td>
                    @endfor

                    @for ($i = 1; $i <= 14; $i++) <td>{{ $arabicNumerals[$i - 1] }}</td>
                        @endfor
            </tr>

            <tr>
                <th>Date</th>
                @for ($i = 1; $i <= 31; $i++) <td @if (isset($sumRoomsByDay[$i]) && $sumRoomsByDay[$i]> 0) style="background-color: red;" @endif>{{ $i }}</td>
                    @endfor
            </tr>
        </table>

        <p class="mt-2" style="color: red;">Arrival is Red</p>
        <div class="row">
            <div class="col-sm-12">
                <div class="card card-table">
                    <div class="card-body booking_card">
                        <div class="table-responsive">
                            <div class="search-container mb-2">
                                <label for="">Search By Agent Name</label>
                                <input type="text" id="searchInput" placeholder="Search...">
                            </div>
                            <table class="datatable table table-stripped table table-hover table-center mb-0">
                                <thead>
                                    <tr>
                                        <th>Ref No</th>
                                        <th>Agent</th>
                                        <th>Name</th>

                                        <th>Room Type</th>
                                        <th>Price</th>
                                        <!-- <th>Total Numbers</th> -->
                                        <th>Nights</th>
                                        <th>Room</th>
                                        <th>Rate per night</th>
                                        <th>Check In</th>
                                        <th>Check Out</th>
                                        <th>Paid</th>
                                        <th>Balance</th>
                                        <th>Status</th>

                                        <th class="text-right">Actions</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    @foreach ($allBookings as $bookings )
                                    <tr>
                                        <!-- <td hidden class="id">{{ $bookings->id }}</td> -->
                                        <!-- <td hidden class="fileupload">{{ $bookings->fileupload }}</td> -->
                                        <td class="id">{{ $bookings->id }}</td>
                                        <td>{{$bookings->message}}</td>

                                        <td>

                                            <a>{{ $bookings->name }}<span>{{ $bookings->bkg_id }}</span></a>
                                            </h2>
                                        </td>
                                        <td>{{ $bookings->room_type_num }}</td>
                                        <td>{{ $bookings->price }}</td>
                                        <!-- <td>{{ $bookings->total_numbers }}</td> -->
                                        <td>{{ $bookings->date }}</td>
                                        <td>{{ $bookings->time }}</td>
                                        <td>{{$bookings->totalAmount}}</td>
                                        <td>{{ $bookings->arrival_date }}</td>
                                        <td>{{ $bookings->depature_date }}</td>
                                        <td><a href="#" class="__cf_email__" data-cfemail="2652494b4b5f44435448474a66435e474b564a430845494b">{{ $bookings->email }}</a></td>
                                        <td>{{ $bookings->ph_number }}</td>
                                        <td>
                                            <div class="actions"> <a href="{{ url('generate-pdf/'.$bookings->id) }}" class=" download-pdf btn btn-sm bg-success-light mr-2 ">Download PDF</a> </div>
                                        </td>
                                        <td class="text-right">
                                            <div class="dropdown dropdown-action">
                                                <a href="#" class="action-icon dropdown-toggle" data-toggle="dropdown" aria-expanded="false">
                                                    <i class="fas fa-ellipsis-v ellipse_color"></i>
                                                </a>
                                                <div class="dropdown-menu dropdown-menu-right">
                                                    <a class="dropdown-item" href="{{ url('form/booking/edit/'.$bookings->bkg_id) }}">
                                                        <i class="fas fa-pencil-alt m-r-5"></i> Edit
                                                    </a>
                                                    <a class="dropdown-item bookingDelete" href="#" data-toggle="modal" data-target="#delete_asset">
                                                        <i class="fas fa-trash-alt m-r-5"></i> Delete
                                                    </a>
                                                </div>
                                            </div>
                                        </td>
                                    </tr>
                                    @endforeach
                                </tbody>
                            </table>
                        </div>


                    </div>
                </div>
            </div>
        </div>

    </div>
</div>
{{-- Model delete --}}
<div id="delete_asset" class="modal fade delete-modal" role="dialog">
    <div class="modal-dialog modal-dialog-centered">
        <div class="modal-content">
            <form action="{{ route('form/booking/delete') }}" method="POST">
                @csrf
                <div class="modal-body text-center"> <img src="{{ URL::to('assets/img/sent.png') }}" alt="" width="50" height="46">
                    <h3 class="delete_class">Are you sure want to delete this Asset?</h3>
                    <div class="m-t-20">
                        <a href="#" class="btn btn-white" data-dismiss="modal">Close</a>
                        <input class="form-control" type="hidden" id="e_id" name="id" value="">
                        <input class="form-control" type="hidden" id="e_fileupload" name="fileupload" value="">
                        <button type="submit" class="btn btn-danger">Delete</button>
                    </div>
                </div>
            </form>
        </div>
    </div>
</div>
{{-- End Model delete --}}
</div>
@section('script')
{{-- delete model --}}
<script>
    // Function to perform search
    function performSearch() {
        var input, filter, table, tr, td, i, txtValue;
        input = document.getElementById("searchInput");
        filter = input.value.toUpperCase();
        table = document.querySelector(".datatable");
        tr = table.getElementsByTagName("tr");

        for (i = 1; i < tr.length; i++) { // Start from 1 to skip table header row
            var agentName = tr[i].getElementsByTagName("td")[1]; // Agent Name column
            var refNo = tr[i].getElementsByTagName("td")[0]; // Ref No column
            var checkIn = tr[i].getElementsByTagName("td")[8]; // Check In column

            if (agentName || refNo || checkIn) {
                var agentNameText = agentName.textContent || agentName.innerText;
                var refNoText = refNo.textContent || refNo.innerText;
                var checkInText = checkIn.textContent || checkIn.innerText;

                if (agentNameText.toUpperCase().indexOf(filter) > -1 ||
                    refNoText.toUpperCase().indexOf(filter) > -1 ||
                    checkInText.toUpperCase().indexOf(filter) > -1) {
                    tr[i].style.display = "";
                } else {
                    tr[i].style.display = "none";
                }
            }
        }
    }

    // Attach event listener to search input
    document.getElementById("searchInput").addEventListener("keyup", performSearch);
</script>



<script>
    $(document).on('click', '.bookingDelete', function() {
        var _this = $(this).parents('tr');
        $('#e_id').val(_this.find('.id').text());
        $('#e_fileupload').val(_this.find('.fileupload').text());
    });
</script>
@endsection
@endsection